@ECHO OFF
CLS
ECHO #
ECHO ##  WASP EUTRO CLFLEUTR batch command file.
ECHO #
REM 
ECHO #                                            >CLFLEUTR.LOG
ECHO ##  WASP EUTRO CLFLEUTR batch command file. >>CLFLEUTR.LOG
ECHO #   Lahey FORTRAN F77L-EM/32 version 5.01.  >>CLFLEUTR.LOG            
ECHO #                                           >>CLFLEUTR.LOG
GOTO START
REM 
REM  ********************* \WASP\CLFLEUTR.BAT *******************
REM  *        Author: D.W. Disney, Computer Scientist           *
REM  *                Computer Sciences Corporation             *
REM  *          Date: Wednesday, 3 March 1993.  Time: 08:48:23. *
REM  *   Environment: Microway 486-B2T under MS DOS 5.0         *
REM  *  Installation: Computer Sciences Corporation             *
REM  *                U.S. Environmental Protection Agency      *
REM  *                Athens ERL - Athens, Georgia              *
REM  *      Function: To complile and link all FORTRAN 77       *
REM  *                source code files for the WASP EUTRO model*
REM  *      Calling                                             *
REM  *      Sequence: CLFLEUTR                                  *
REM  *         Input: None                                      *
REM  ************************************************************
REM
REM **************************************************************
REM *         Maintenance History - \WASP\CLFLEUTR.BAT           *
REM *------------------------------------------------------------*
REM *  1) Initial coding                                         *
REM *     Date: Thursday, 4 March 1993.  Time: 09:45:00.         *
REM **************************************************************
REM *  Compile and link the WASP EUTRO model under Lahey FORTRAN *
REM *  F77L-EM/32 compiler and Phar Lap Linker 386LINK for       *
REM *  32-bit extended (protected) mode execution environment.   *
REM *                                                            *
REM *       Program       Version                                *
REM *       -------       -------                                *
REM *       F77L3       -   5.01                                 *
REM *       INTERACTER  -   2.00                                 *
REM *       386LINK     -   4.1L                                 *
REM *       MS DOS      -   5.01                                 *
REM **************************************************************
REM *  \WASP\CLFLEUTR.BAT                                        *
REM *------------------------------------------------------------*
REM *  The program assumes that                                  *
REM *       1)  All F77L3 commands and files are stored in the   *
REM *           root sub-directory \F77L3 on drive D:.           *
REM *       2)  All Phar Lap commands and files are stored in    *
REM *           the root sub-directory \F77L3 on drive D:.       *
REM *       3)  All INTERACTER libraries are in the root sub-    *
REM *           directory \INTERACT on drive D:.                 *
REM *       4)  All WASP command files are in the sub-directory  *
REM *           \WASP\WASP on drive E:.                          *
REM *       5)  All WASP EUTRO command files are in the          *
REM *           sub-directory \WASP\EUTRO on drive E:.           *
REM *       6)  All WASP source code files (*.FOR) and source    *
REM *           code include files (*.CMN) are stored in the     *
REM *           \WASP\WASP sub-directory on drive E:.            *
REM *       7)  All WASP EUTRO source code files (*.FOR) and     *
REM *           source code include files (*.CMN, *.EQU) are     *
REM *           stored in the \WASP\EUTRO sub-directory on drive *
REM *           E:.                                              *
REM *       8)  The compile and link edit command file           *
REM *           CLFLEUTR.BAT is stored in the sub-directory      *
REM *           \WASP on drive E:.                               *
REM *       9)  The WASP EUTRO link edit command file            *
REM *           F77LEUTR.LNK is stored in the sub-directory      *
REM *           \WASP on drive E:.                               *
REM *      10)  The WASP object code files (*.OBJ) are stored in *
REM *           the \WASP\WASP_OBJ sub-directory on drive E:.    *
REM *      11)  The WASP EUTR object code files (*.OBJ) are      *
REM *           stored in the \WASP\EUTRO\EUTROOBJ sub-directory *
REM *           on drive E:.                                     *
REM **************************************************************
REM
:START
CLS
ECHO #
ECHO ##  Setting system environment variables.
ECHO #
PATH C:.;C:\;D:\F77L3;D:\F77L3\BIN;C:\DOS;D:\UTIL;C:\BRIEF;C:\WP51 >NUL
SET OBJ=
SET PROFORT.ERR=
SET LIB=
SET TMP=
SET RMFORT.CER=
SET RMFORT.CER=
SET \RMFORT.CER=
SET \RMFORT.ERR=
SET \F77L.CER=
SET \F77L.EER=
SET TMP=
SET OBJ=D:\F77L3\BIN;E:\WASP\WASP\WASP_OBJ;E:\WASP\EUTRO\EUTROOBJ
SET LFDIR=D:\F77L3\BIN
SET INIT=D:\F77L3\BIN
SET LBDIR=D:\F77L3\BIN
SET LBCFG=D:\F77L3\BIN\LB.CFG
SET LBKEY=D:\F77L3\BIN\LB.KEY
SET LBMAC=D:\F77L3\BIN\LB.MAC
SET LBPST=D:\F77L3\BIN\LB.PST
SET LBLNG=D:\F77L3\BIN\LB.LNG
REM
CLS
ECHO #
ECHO ##  Cleaning up extra work files...wait.
ECHO #
IF EXIST   EUTRO.MAP DEL   EUTRO.MAP >>CLFLEUTR.LOG
IF EXIST EUTRO4.EXE DEL EUTRO4.EXE >>CLFLEUTR.LOG
IF EXIST      *.OBJ DEL      *.OBJ >>CLFLEUTR.LOG
REM IF EXIST      *.LST DEL      *.LST >>CLFLEUTR.LOG
REM
IF NOT EXIST  WASP\WASP_OBJ\NUL MKDIR  WASP\WASP_OBJ >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\NUL MKDIR EUTRO\EUTROOBJ >>CLFLEUTR.LOG
REM
IF "%1"=="Y" GOTO YESDEL
IF "%1"=="y" GOTO YESDEL
IF "%1"=="N" GOTO NODEL
IF "%1"=="n" GOTO NODEL
:GETANS
SET ANSWER=
ANSWER     Delete existing WASP EUTRO program object files (*.OBJ)? (Y/N) 
IF "%ANSWER%"=="N" GOTO NODEL
IF "%ANSWER%"=="n" GOTO NODEL
IF "%ANSWER%"==""  GOTO NODEL
IF "%ANSWER%"=="Y" GOTO YESDEL
IF "%ANSWER%"=="y" GOTO YESDEL
GOTO GETANS
:YESDEL
IF EXIST  WASP\WASP_OBJ\*.OBJ DEL  WASP\WASP_OBJ\*.OBJ >>CLFLEUTR.LOG
IF EXIST EUTRO\EUTROOBJ\*.OBJ DEL EUTRO\EUTROOBJ\*.OBJ >>CLFLEUTR.LOG
IF EXIST                *.OBJ DEL                *.OBJ >>CLFLEUTR.LOG
:NODEL
SET ANSWER=
REM IF EXIST *.LST DEL *.LST >>CLFLEUTR.LOG
CLS
VERIFY OFF
BREAK ON
ECHO #
ECHO ##  Ready to begin WASP EUTRO compile and link edit.
ECHO #   Press "<Ctrl><P>" to echo results to printer.
ECHO #
ECHO #   Press the "<Enter>" key to continue.
PAUSE >NUL
CLS
REM
ECHO #
ECHO ##  Copying all WASP source code INCLUDE files to \WASP directory.
ECHO #
IF EXIST WASP\*.CMN COPY WASP\*.CMN /V >>CLFLEUTR.LOG
IF EXIST WASP\*.INC COPY WASP\*.INC /V >>CLFLEUTR.LOG
CLS
REM
ECHO #
ECHO ##  Copying all EUTRO source code INCLUDE files to \WASP directory.
ECHO #
IF EXIST EUTRO\*.CMN COPY EUTRO\*.CMN /V >>CLFLEUTR.LOG
IF EXIST EUTRO\*.EQU COPY EUTRO\*.EQU /V >>CLFLEUTR.LOG
CLS
REM
ECHO #
ECHO ##  Compile for WASP EUTRO in progress with F77L3 FORTRAN.
ECHO #
REM
ECHO #                                                    >>CLFLEUTR.LOG
ECHO ## WASP CLFLEUTR batch command file begin execution. >>CLFLEUTR.LOG
ECHO #                                                    >>CLFLEUTR.LOG
ECHO #                                                    >>CLFLEUTR.LOG
ECHO ## Start date and time.                              >>CLFLEUTR.LOG
ECHO #                                                    >>CLFLEUTR.LOG
ECHO # -------- DATE ---------                            >>CLFLEUTR.LOG
ECHO #                                                    >>CLFLEUTR.LOG
DATE <RETURN1.ANS | FIND "C"                              >>CLFLEUTR.LOG
ECHO #                                                    >>CLFLEUTR.LOG
ECHO # -------- TIME ---------                            >>CLFLEUTR.LOG
ECHO #                                                    >>CLFLEUTR.LOG
TIME <RETURN1.ANS | FIND "C"                              >>CLFLEUTR.LOG
ECHO #                                                    >>CLFLEUTR.LOG
ECHO # -----------------------                            >>CLFLEUTR.LOG
ECHO #                                                    >>CLFLEUTR.LOG
CLS
REM IF NOT EXIST WASP\WASP_OBJ\source.OBJ   F77L3 WASP\source.FOR, WASP\WASP_OBJ\source.OBJ, listfile, SOLDfile /O
REM --------------------------------------------------------------------------
@ECHO ON
REM --------------------------------------------------------
IF NOT EXIST WASP\WASP_OBJ\BEDSED.OBJ F77L3 WASP\BEDSED.FOR, WASP\WASP_OBJ\BEDSED.OBJ,, /O >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\BRKERR.OBJ F77L3 WASP\BRKERR.FOR, WASP\WASP_OBJ\BRKERR.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\DERIV.OBJ F77L3 WASP\DERIV.FOR, WASP\WASP_OBJ\DERIV.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\EULER.OBJ F77L3 WASP\EULER.FOR, WASP\WASP_OBJ\EULER.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\FMTER.OBJ F77L3 WASP\FMTER.FOR, WASP\WASP_OBJ\FMTER.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\GETMES.OBJ F77L3 WASP\GETMES.FOR, WASP\WASP_OBJ\GETMES.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\HYDROIN.OBJ F77L3 WASP\HYDROIN.FOR, WASP\WASP_OBJ\HYDROIN.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\INIT.OBJ F77L3 WASP\INIT.FOR, WASP\WASP_OBJ\INIT.OBJ,, >>CLFLTOXI.LOG
IF NOT EXIST WASP\WASP_OBJ\KEYCHECK.OBJ F77L3 WASP\KEYCHECK.FOR, WASP\WASP_OBJ\KEYCHECK.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\NPS_TV.OBJ F77L3 WASP\NPS_TV.FOR, WASP\WASP_OBJ\NPS_TV.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\NPS_CHEC.OBJ F77L3 WASP\NPS_CHEC.FOR, WASP\WASP_OBJ\NPS_CHEC.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\PROMPT.OBJ F77L3 WASP\PROMPT.FOR, WASP\WASP_OBJ\PROMPT.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\PRTSCR.OBJ F77L3 WASP\PRTSCR.FOR, WASP\WASP_OBJ\PRTSCR.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\QCALC.OBJ F77L3 WASP\QCALC.FOR, WASP\WASP_OBJ\QCALC.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\QEVAP.OBJ F77L3 WASP\QEVAP.FOR, WASP\WASP_OBJ\QEVAP.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\QHYDRO.OBJ F77L3 WASP\QHYDRO.FOR, WASP\WASP_OBJ\QHYDRO.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\QPORE.OBJ F77L3 WASP\QPORE.FOR, WASP\WASP_OBJ\QPORE.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\QSED.OBJ F77L3 WASP\QSED.FOR, WASP\WASP_OBJ\QSED.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\QSURF1.OBJ F77L3 WASP\QSURF1.FOR, WASP\WASP_OBJ\QSURF1.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\QSURF2.OBJ F77L3 WASP\QSURF2.FOR, WASP\WASP_OBJ\QSURF2.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\RSCREEN.OBJ F77L3 WASP\RSCREEN.FOR, WASP\WASP_OBJ\RSCREEN.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\SCAL3D.OBJ F77L3 WASP\SCAL3D.FOR, WASP\WASP_OBJ\SCAL3D.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\SCALP.OBJ F77L3 WASP\SCALP.FOR, WASP\WASP_OBJ\SCALP.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\SETCA.OBJ F77L3 WASP\SETCA.FOR, WASP\WASP_OBJ\SETCA.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\SETIA.OBJ F77L3 WASP\SETIA.FOR, WASP\WASP_OBJ\SETIA.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\SETRA.OBJ F77L3 WASP\SETRA.FOR, WASP\WASP_OBJ\SETRA.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\SETRB.OBJ F77L3 WASP\SETRB.FOR, WASP\WASP_OBJ\SETRB.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\SETXA.OBJ F77L3 WASP\SETXA.FOR, WASP\WASP_OBJ\SETXA.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\TINIT.OBJ F77L3 WASP\TINIT.FOR, WASP\WASP_OBJ\TINIT.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\TLABELS.OBJ F77L3 WASP\TLABELS.FOR, WASP\WASP_OBJ\TLABELS.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\TOPT.OBJ F77L3 WASP\TOPT.FOR, WASP\WASP_OBJ\TOPT.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\TRNOUT.OBJ F77L3 WASP\TRNOUT.FOR, WASP\WASP_OBJ\TRNOUT.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WA12A.OBJ F77L3 WASP\WA12A.FOR, WASP\WASP_OBJ\WA12A.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WAS12.OBJ F77L3 WASP\WAS12.FOR, WASP\WASP_OBJ\WAS12.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WAS13.OBJ F77L3 WASP\WAS13.FOR, WASP\WASP_OBJ\WAS13.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WAS14.OBJ F77L3 WASP\WAS14.FOR, WASP\WASP_OBJ\WAS14.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WAS4A.OBJ F77L3 WASP\WAS4A.FOR, WASP\WASP_OBJ\WAS4A.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WAS6A.OBJ F77L3 WASP\WAS6A.FOR, WASP\WASP_OBJ\WAS6A.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WAS8A.OBJ F77L3 WASP\WAS8A.FOR, WASP\WASP_OBJ\WAS8A.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WAS8B.OBJ F77L3 WASP\WAS8B.FOR, WASP\WASP_OBJ\WAS8B.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WSCREEN.OBJ F77L3 WASP\WSCREEN.FOR, WASP\WASP_OBJ\WSCREEN.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP1.OBJ F77L3 WASP\WASP1.FOR, WASP\WASP_OBJ\WASP1.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP2.OBJ F77L3 WASP\WASP2.FOR, WASP\WASP_OBJ\WASP2.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP3.OBJ F77L3 WASP\WASP3.FOR, WASP\WASP_OBJ\WASP3.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP4.OBJ F77L3 WASP\WASP4.FOR, WASP\WASP_OBJ\WASP4.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP4V.OBJ F77L3 WASP\WASP4V.FOR, WASP\WASP_OBJ\WASP4V.OBJ,, >>CLFLEUTR.LOG
REM IF NOT EXIST WASP\WASP_OBJ\WASP4X.OBJ F77L3 WASP\WASP4X.FOR, WASP\WASP_OBJ\WASP4X.OBJ,,
IF NOT EXIST WASP\WASP_OBJ\WASP5.OBJ F77L3 WASP\WASP5.FOR, WASP\WASP_OBJ\WASP5.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP6.OBJ F77L3 WASP\WASP6.FOR, WASP\WASP_OBJ\WASP6.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP7.OBJ F77L3 WASP\WASP7.FOR, WASP\WASP_OBJ\WASP7.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP8.OBJ F77L3 WASP\WASP8.FOR, WASP\WASP_OBJ\WASP8.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WASP9.OBJ F77L3 WASP\WASP9.FOR, WASP\WASP_OBJ\WASP9.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WERR.OBJ F77L3 WASP\WERR.FOR, WASP\WASP_OBJ\WERR.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WEXIT.OBJ F77L3 WASP\WEXIT.FOR, WASP\WASP_OBJ\WEXIT.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WINOUT.OBJ F77L3 WASP\WINOUT.FOR, WASP\WASP_OBJ\WINOUT.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WLABELS.OBJ F77L3 WASP\WLABELS.FOR, WASP\WASP_OBJ\WLABELS.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WMESS.OBJ F77L3 WASP\WMESS.FOR, WASP\WASP_OBJ\WMESS.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WSCREEN.OBJ F77L3 WASP\WSCREEN.FOR, WASP\WASP_OBJ\WSCREEN.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WSPERROR.OBJ F77L3 WASP\WSPERROR.FOR, WASP\WASP_OBJ\WSPERROR.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\WUPDATE.OBJ F77L3 WASP\WUPDATE.FOR, WASP\WASP_OBJ\WUPDATE.OBJ,, >>CLFLEUTR.LOG
REM --------------------------------------------------------
IF NOT EXIST EUTRO\EUTROOBJ\AMMONIA.OBJ  F77L3  EUTRO\AMMONIA.FOR, EUTRO\EUTROOBJ\AMMONIA.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\BENTFLUX.OBJ F77L3 EUTRO\BENTFLUX.FOR, EUTRO\EUTROOBJ\BENTFLUX.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\CBODSV.OBJ   F77L3   EUTRO\CBODSV.FOR, EUTRO\EUTROOBJ\CBODSV.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\DISSOXYG.OBJ F77L3 EUTRO\DISSOXYG.FOR, EUTRO\EUTROOBJ\DISSOXYG.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\DITORO.OBJ   F77L3   EUTRO\DITORO.FOR, EUTRO\EUTROOBJ\DITORO.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\EUTRODMP.OBJ F77L3 EUTRO\EUTRODMP.FOR, EUTRO\EUTROOBJ\EUTRODMP.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\EUTROINT.OBJ F77L3 EUTRO\EUTROINT.FOR, EUTRO\EUTROOBJ\EUTROINT.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\INORGANP.OBJ F77L3 EUTRO\INORGANP.FOR, EUTRO\EUTROOBJ\INORGANP.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\KAHYDRA.OBJ  F77L3  EUTRO\KAHYDRA.FOR, EUTRO\EUTROOBJ\KAHYDRA.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\KAWIND.OBJ   F77L3   EUTRO\KAWIND.FOR, EUTRO\EUTROOBJ\KAWIND.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\NITRATE.OBJ  F77L3  EUTRO\NITRATE.FOR, EUTRO\EUTROOBJ\NITRATE.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\ORGANICN.OBJ F77L3 EUTRO\ORGANICN.FOR, EUTRO\EUTROOBJ\ORGANICN.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\ORGANOP.OBJ  F77L3  EUTRO\ORGANOP.FOR, EUTRO\EUTROOBJ\ORGANOP.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\PHYTO.OBJ    F77L3    EUTRO\PHYTO.FOR, EUTRO\EUTROOBJ\PHYTO.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\SMITH.OBJ    F77L3    EUTRO\SMITH.FOR, EUTRO\EUTROOBJ\SMITH.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST EUTRO\EUTROOBJ\WASPB.OBJ    F77L3    EUTRO\WASPB.FOR, EUTRO\EUTROOBJ\WASPB.OBJ,, >>CLFLEUTR.LOG
REM --------------------------------------------------------
IF NOT EXIST WASP\WASP_OBJ\GHCSEL.OBJ F77L3 D:\INTERACT\LIB\GHCSEL.FOR, WASP\WASP_OBJ\GHCSEL.OBJ,, >>CLFLEUTR.LOG
IF NOT EXIST WASP\WASP_OBJ\COMPATIB.OBJ F77L3 D:\INTERACT\LIB\COMPATIB.FOR, WASP\WASP_OBJ\COMPATIB.OBJ,, >>CLFLEUTR.LOG
REM --------------------------------------------------------
@ECHO OFF
REM -----------------------------------------------------------------------------------
CLS
ECHO #
ECHO ##  WASP compilation complete with F77L3 FORTRAN.
ECHO #
ECHO #                             >>CLFLEUTR.LOG
ECHO ## WASP compilation complete. >>CLFLEUTR.LOG
ECHO #                             >>CLFLEUTR.LOG
ECHO #                             >>CLFLEUTR.LOG
ECHO ## End date and time.         >>CLFLEUTR.LOG
ECHO #                             >>CLFLEUTR.LOG
ECHO # -------- DATE ---------     >>CLFLEUTR.LOG
ECHO #                             >>CLFLEUTR.LOG
DATE <RETURN1.ANS | FIND "C"       >>CLFLEUTR.LOG
ECHO #                             >>CLFLEUTR.LOG
ECHO # -------- TIME ---------     >>CLFLEUTR.LOG
ECHO #                             >>CLFLEUTR.LOG
TIME <RETURN1.ANS | FIND "C"       >>CLFLEUTR.LOG
ECHO #                             >>CLFLEUTR.LOG
ECHO # -----------------------     >>CLFLEUTR.LOG
ECHO #                             >>CLFLEUTR.LOG
ECHO #
IF EXIST *.CMN DEL *.CMN
IF EXIST *.EQU DEL *.EQU
IF EXIST *.INC DEL *.INC
CLS
REM
ECHO #
ECHO ##  Ready to link WASP EUTRO.
ECHO #
ECHO #   Press the "<Enter>" key to continue.
PAUSE >NUL
REM
IF NOT EXIST  WASP\WASP_OBJ\*.OBJ GOTO NOLINK
IF NOT EXIST EUTRO\EUTROOBJ\*.OBJ GOTO NOLINK
REM
CLS
ECHO #   
ECHO ##  Beginning 386LINK for WASP EUTRO code...wait.
ECHO #   
ECHO #                                   >>CLFLEUTR.LOG
ECHO ## Beginning 386LINK for WASP code. >>CLFLEUTR.LOG
ECHO #                                   >>CLFLEUTR.LOG
ECHO #                                   >>CLFLEUTR.LOG
ECHO ## Begin date and time.             >>CLFLEUTR.LOG
ECHO #                                   >>CLFLEUTR.LOG
ECHO # -------- DATE ---------           >>CLFLEUTR.LOG
ECHO #                                   >>CLFLEUTR.LOG
DATE <RETURN1.ANS | FIND "C"             >>CLFLEUTR.LOG
ECHO #                                   >>CLFLEUTR.LOG
ECHO # -------- TIME ---------           >>CLFLEUTR.LOG
ECHO #                                   >>CLFLEUTR.LOG
TIME <RETURN1.ANS | FIND "C"             >>CLFLEUTR.LOG
ECHO #                                   >>CLFLEUTR.LOG
ECHO # -----------------------           >>CLFLEUTR.LOG
ECHO #                                   >>CLFLEUTR.LOG
ECHO #
SET LIB=D:\F77L3\LIB
SET INTLIB=D:\INTERACT\LIB
CLS
@ECHO ON
@ECHO.
REM --------------------------------------------------------
IF NOT EXIST EUTRO4.EXE 386LINK @F77LEUTR.LNK >>CLFLEUTR.LOG
REM --------------------------------------------------------
@ECHO OFF
SET LIB=
SET INTLIB=
ECHO #
ECHO # -----------------
ECHO #   
ECHO ##  386LINK complete for WASP EUTRO code.
ECHO #   
ECHO #                               >>CLFLEUTR.LOG
ECHO ## Link complete for WASP code. >>CLFLEUTR.LOG
ECHO #                               >>CLFLEUTR.LOG
ECHO #                               >>CLFLEUTR.LOG
ECHO ## End date and time.           >>CLFLEUTR.LOG
ECHO #                               >>CLFLEUTR.LOG
ECHO # -------- DATE ---------       >>CLFLEUTR.LOG
ECHO #                               >>CLFLEUTR.LOG
DATE <RETURN1.ANS | FIND "C"         >>CLFLEUTR.LOG
ECHO #                               >>CLFLEUTR.LOG
ECHO # -------- TIME ---------       >>CLFLEUTR.LOG
ECHO #                               >>CLFLEUTR.LOG
TIME <RETURN1.ANS | FIND "C"         >>CLFLEUTR.LOG
ECHO #                               >>CLFLEUTR.LOG
ECHO # -----------------------       >>CLFLEUTR.LOG
ECHO #                               >>CLFLEUTR.LOG
ECHO #   Press the "<Enter>" key to continue.
PAUSE >NUL
:NOLINK
CLS
ECHO #
ECHO ##  WASP compilation/link complete...deleting work files...wait.
ECHO #
REM
ECHO #                                           >>CLFLEUTR.LOG
ECHO ## WASP CLFLEUTR.BAT command file complete. >>CLFLEUTR.LOG
ECHO #                                           >>CLFLEUTR.LOG
ECHO #                                           >>CLFLEUTR.LOG
ECHO ## End date and time.                       >>CLFLEUTR.LOG
ECHO #                                           >>CLFLEUTR.LOG
ECHO # -------- DATE ---------                   >>CLFLEUTR.LOG
ECHO #                                           >>CLFLEUTR.LOG
DATE <RETURN1.ANS | FIND "C"                     >>CLFLEUTR.LOG
ECHO #                                           >>CLFLEUTR.LOG
ECHO # -------- TIME ---------                   >>CLFLEUTR.LOG
ECHO #                                           >>CLFLEUTR.LOG
TIME <RETURN1.ANS | FIND "C"                     >>CLFLEUTR.LOG
ECHO #                                           >>CLFLEUTR.LOG
ECHO # -----------------------                   >>CLFLEUTR.LOG
ECHO #                                           >>CLFLEUTR.LOG
ECHO #
REM
REM PRINT CLFLEUTR.LOG <RETURN1.ANS >NUL
REM
CLS
ECHO #
ECHO ##  Compilation and link for all WASP EUTRO code complete.
ECHO #   Press "<Ctrl><P>" if previously selected for printing.
ECHO #
ECHO #   Press the "<Enter>" key to continue.
PAUSE >NUL
CLS
IF NOT EXIST *.EXE GOTO NOEXE
ECHO #
ECHO ##  WASP EUTRO task image ready for test execution.
ECHO #
ECHO.
DIR *.EXE | FIND " EXE"
ECHO.
ECHO #   To execute EUTRO, type
ECHO #
ECHO #                     EUTRO
ECHO #
ECHO #   at the DOS system prompt, then press the "<Enter>" key.
ECHO.
:NOEXE
REM
REM *********************************************************
REM *  End compile batch command E:\WASP\WASP\CLFLEUTR.BAT. *
REM *********************************************************
